Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231891 - destroy_instance not called for all fmt->ops->create_instance
Summary: destroy_instance not called for all fmt->ops->create_instance
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Wysochanski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-12 19:50 UTC by Dave Wysochanski
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 22:22:12 UTC


Attachments (Terms of Use)

Description Dave Wysochanski 2007-03-12 19:50:56 UTC
Mainly saw this problem in lib/metadata.c but may be elsewhere.

Comment 1 Dave Wysochanski 2007-03-12 23:58:34 UTC
May actually not be an error at all - just a little hard to follow where it gets
freed (if at all).

Comment 2 Alasdair Kergon 2007-03-14 17:01:16 UTC
All the existing destroy_instance functions are empty functions so consider it
an optimisation:-)

Comment 3 Dave Wysochanski 2007-03-19 22:22:12 UTC
Indeed - closing until we think we actually need to write these functions.


Note You need to log in before you can comment on or make changes to this bug.